Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Interface PredicateEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, PredicateReaderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface PredicateEditorMBean

extends PredicateReaderMBean

This MBean edits data about predicates and their arguments. This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`void` | `registerPredicate(String predicateClassName)` Registers a new predicate with the specified class name.
`void` | `unregisterPredicate(String predicateClassName)` Unregisters the currently registered predicate.

Methods inherited from interface weblogic.management.security.authorization.PredicateReaderMBean
`getRegisteredPredicates, isRegisteredPredicate`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### registerPredicate

    void registerPredicate(String predicateClassName)
                           throws AlreadyExistsException

  Registers a new predicate with the specified class name.

  Parameters:
    `predicateClassName` - The name of the Java class that implements the predicate.
  Throws:
    `AlreadyExistsException`

### unregisterPredicate

    void unregisterPredicate(String predicateClassName)
                             throws NotFoundException

  Unregisters the currently registered predicate.

  Parameters:
    `predicateClassName` - The name of the Java class that implements predicate to be unregistered.
  Throws:
    `NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD